Skip to content

Owner interjection

POST
/api/v1/warroom/{session_id}/interject
curl --request POST \
--url https://api.ultimateteam.ai/api/v1/warroom/example/interject \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <X-API-Key>' \
--data '{ "message": "example" }'

Inject a message from the owner into the ongoing discussion.

session_id
required
Session Id

War room session ID

string

War room session ID

Media typeapplication/json
InterjectRequest

Request body for owner interjection.

Attributes: message: The owner’s message to inject into the discussion.

object
message
required
Message

Owner message text

string
>= 1 characters
Examplegenerated
{
"message": "example"
}

Successful Response

Media typeapplication/json
InterjectResponse

Response envelope for POST /warroom/{session_id}/interject.

Attributes: data: Acknowledgement payload.

object
data
required
InterjectResponseData

Data payload for interject response.

Attributes: acknowledged: Always True when successful.

object
acknowledged
Acknowledged
boolean
default: true
Example
{
"data": {
"acknowledged": true
}
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}